Qnapclub Store

Ltris

46
Installation(s)
Tetris Game

To be used with QTS 4.2.1

Dependencies

  • HD_Station >= 3.0.0
  • HD_Station < 4.0.0


Download links

TS-NASX86_64


No older version!